Bug 485213 - if `yum remove java` then order in which all deps being removed renders some rpms removal failures
if `yum remove java` then order in which all deps being removed renders some ...
Product: Fedora
Classification: Fedora
Component: rpmdb-redhat (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Powers
Depends On:
  Show dependency treegraph
Reported: 2009-02-12 07:53 EST by lejeczek
Modified: 2009-07-14 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 12:38:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description lejeczek 2009-02-12 07:53:03 EST
Description of problem:

Dependencies Resolved

 Package                                    Arch          Version                       Repository        Size
 java-1.5.0-gcj                             x86_64                installed        132 k
 java-1.6.0-openjdk                         x86_64        1:        installed         73 M
Removing for dependencies:
 ant                                        x86_64        1.7.0-1jpp.4.fc9              installed        7.2 M
 ant-antlr                                  x86_64        1.7.0-1jpp.4.fc9              installed         42 k
 ant-apache-bcel                            x86_64        1.7.0-1jpp.4.fc9              installed         46 k
 ant-apache-log4j                           x86_64        1.7.0-1jpp.4.fc9              installed         24 k
 ant-apache-oro                             x86_64        1.7.0-1jpp.4.fc9              installed        233 k
 ant-apache-regexp                          x86_64        1.7.0-1jpp.4.fc9              installed         25 k
 ant-apache-resolver                        x86_64        1.7.0-1jpp.4.fc9              installed         27 k
 ant-commons-logging                        x86_64        1.7.0-1jpp.4.fc9              installed         29 k
 ant-javamail                               x86_64        1.7.0-1jpp.4.fc9              installed         48 k
 ant-jdepend                                x86_64        1.7.0-1jpp.4.fc9              installed         85 k
 ant-jsch                                   x86_64        1.7.0-1jpp.4.fc9              installed        169 k
 ant-junit                                  x86_64        1.7.0-1jpp.4.fc9              installed        517 k
 ant-nodeps                                 x86_64        1.7.0-1jpp.4.fc9              installed        2.3 M
 ant-swing                                  x86_64        1.7.0-1jpp.4.fc9              installed         43 k
 ant-trax                                   x86_64        1.7.0-1jpp.4.fc9              installed        106 k
 antlr                                      x86_64        2.7.7-1jpp.7.fc9              installed        3.8 M
 axis                                       x86_64        1.2.1-3jpp.8.fc9              installed        8.6 M
 bcel                                       x86_64        5.2-4jpp.2.fc9                installed         16 M
 bootchart                                  x86_64        0.9-9.fc9                     installed        892 k
 bsf                                        x86_64        2.3.0-12jpp.2.fc9             installed        1.0 M
 bsh                                        x86_64        1.3.0-12jpp.3.fc9             installed        2.0 M
 classpathx-jaf                             x86_64        1.0-11jpp.1.fc9               installed        243 k
 classpathx-mail                            x86_64        1.1.1-5jpp.3                  installed        2.5 M
 eclipse-cvs-client                         x86_64        1:3.3.2-12.fc9                installed         10 M
 eclipse-ecj                                x86_64        1:3.3.2-12.fc9                installed         21 M
 eclipse-jdt                                x86_64        1:3.3.2-12.fc9                installed         67 M
 eclipse-platform                           x86_64        1:3.3.2-12.fc9                installed         74 M
 eclipse-rcp                                x86_64        1:3.3.2-12.fc9                installed         35 M
 fedora-ds                                  x86_64        1.1.2-1.fc9                   installed         18 k
 fedora-idm-console                         x86_64        1.1.1-2.fc9                   installed         57 k
 ganymed-ssh2                               x86_64        210-6.fc9                     installed        1.3 M
 gcc-java                                   x86_64        4.3.0-8                       installed        7.8 M
 hsqldb                                     x86_64        1:          installed        5.0 M
 idm-console-framework                      noarch        1.1.2-1.fc9                   installed        1.2 M
 jakarta-commons-beanutils                  x86_64        1.7.0-6jpp.1                  installed        1.2 M
 jakarta-commons-cli                        x86_64        1.0-7jpp_10.fc9               installed        172 k
 jakarta-commons-collections                x86_64        3.2-2jpp.2.fc9                installed        3.1 M
 jakarta-commons-collections-tomcat5        x86_64        3.2-2jpp.2.fc9                installed        164 k
 jakarta-commons-daemon                     x86_64        1:1.0.1-6jpp.5.fc9            installed        122 k
 jakarta-commons-dbcp                       x86_64        1.2.1-11jpp.3.fc9             installed        735 k
 jakarta-commons-dbcp-tomcat5               x86_64        1.2.1-11jpp.3.fc9             installed        732 k
 jakarta-commons-digester                   x86_64        1.7-7jpp.2                    installed        1.4 M
 jakarta-commons-discovery                  x86_64        1:0.4-3jpp.1.fc9              installed        391 k
 jakarta-commons-el                         x86_64        1.0-9jpp.2.fc9                installed        637 k
 jakarta-commons-fileupload                 x86_64        1:1.0-7jpp.2.fc9              installed        120 k
 jakarta-commons-httpclient                 x86_64        1:3.1-0jpp.1.fc9              installed        1.7 M
 jakarta-commons-lang                       x86_64        2.3-2jpp.1.fc9                installed        1.5 M
 jakarta-commons-launcher                   x86_64        1.1-2jpp.3.fc9                installed        408 k
 jakarta-commons-logging                    x86_64        1.0.4-7jpp.5.fc9              installed        261 k
 jakarta-commons-modeler                    x86_64        2.0-4jpp.2.fc9                installed        1.1 M
 jakarta-commons-pool                       x86_64        1.3-10jpp.3.fc9               installed        366 k
 jakarta-oro                                x86_64        2.0.8-4jpp.1                  installed        469 k
 java-1.5.0-gcj-devel                       x86_64                installed         59 k
 java-1.5.0-gcj-javadoc                     x86_64                installed        234 M
 java-1.6.0-openjdk-devel                   x86_64        1:        installed         30 M
 java_cup                                   x86_64        1:0.10-0.k.6jpp.2             installed        973 k
 jdepend                                    x86_64        2.6-7jpp.3                    installed        566 k
 jetty                                      x86_64        5.1.14-1jpp.2.fc9             installed        4.8 M
 jsch                                       x86_64        0.1.31-2jpp.3.fc9             installed        1.0 M
 jss                                        x86_64        4.2.5-2.fc9                   installed        966 k
 junit                                      x86_64        3.8.2-4jpp.3.fc9              installed        759 k
 jzlib                                      x86_64        1.0.7-5jpp.1                  installed        301 k
 ldapjdk                                    x86_64        4.18-1.fc9                    installed        2.3 M
 libswt3-gtk2                               x86_64        1:3.3.2-12.fc9                installed         10 M
 log4j                                      x86_64        1.2.14-4jpp.1.fc9             installed        1.9 M
 lucene                                     x86_64        2.3.0-1jpp.0.fc9              installed        4.3 M
 lucene-contrib                             x86_64        2.3.0-1jpp.0.fc9              installed        2.7 M
 mx4j                                       x86_64        1:3.0.1-6jpp.4                installed        6.4 M
 openoffice.org-calc                        x86_64        1:2.4.2-18.3.fc9              installed         22 M
 openoffice.org-core                        x86_64        1:2.4.2-18.3.fc9              installed        219 M
 openoffice.org-draw                        x86_64        1:2.4.2-18.3.fc9              installed        2.9 M
 openoffice.org-graphicfilter               x86_64        1:2.4.2-18.3.fc9              installed        432 k
 openoffice.org-impress                     x86_64        1:2.4.2-18.3.fc9              installed        4.9 M
 openoffice.org-writer                      x86_64        1:2.4.2-18.3.fc9              installed        7.3 M
 openoffice.org-writer2latex                x86_64        0.5-2.fc9                     installed        390 k
 regexp                                     x86_64        1.5-2jpp.1.fc9                installed        234 k
 sinjdoc                                    x86_64        0.5-6.fc9                     installed        2.3 M
 svnkit                                     x86_64        1.1.4-3.fc9                   installed        6.5 M
 tomcat5                                    x86_64        5.5.27-0jpp.2.fc9             installed        1.0 M
 tomcat5-common-lib                         x86_64        5.5.27-0jpp.2.fc9             installed        513 k
 tomcat5-jasper                             x86_64        5.5.27-0jpp.2.fc9             installed        2.7 M
 tomcat5-jasper-eclipse                     x86_64        5.5.27-0jpp.2.fc9             installed        4.4 M
 tomcat5-jsp-2.0-api                        x86_64        5.5.27-0jpp.2.fc9             installed        222 k
 tomcat5-server-lib                         x86_64        5.5.27-0jpp.2.fc9             installed        9.8 M
 tomcat5-servlet-2.4-api                    x86_64        5.5.27-0jpp.2.fc9             installed        300 k
 wsdl4j                                     x86_64        1.5.2-5jpp.2.fc9              installed        1.0 M
 xalan-j2                                   x86_64        2.7.0-7jpp.2.fc9              installed         11 M
 xerces-j2                                  x86_64        2.7.1-10jpp.1.fc9             installed         29 M
 xml-commons-apis                           x86_64        1.3.04-1jpp.1.fc9             installed        1.6 M
 xml-commons-resolver                       x86_64        1.1-1jpp.12                   installed        457 k

Transaction Summary
Install      0 Package(s)         
Update       0 Package(s)         
Remove      92 Package(s)         

Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Erasing        : sinjdoc                                                                                1/92 
  Erasing        : jakarta-commons-discovery                                                              2/92 
  Erasing        : axis                                                                                   3/92 
  Erasing        : jakarta-commons-beanutils                                                              4/92 
  Erasing        : java-1.5.0-gcj-devel                                                                   5/92 
  Erasing        : tomcat5-jasper                                                                         6/92 
  Erasing        : log4j                                                                                  7/92 
install-catalog: can not modify "/etc/sgml/log4j-1.2.14-4jpp.1.fc9.cat".
  Erasing        : lucene                                                                                 8/92 
  Erasing        : ant-trax                                                                               9/92 
  Erasing        : ant-jdepend                                                                           10/92 
  Erasing        : jakarta-commons-digester                                                              11/92 
  Erasing        : antlr                                                                                 12/92 
  Erasing        : jakarta-commons-dbcp                                                                  13/92 
  Erasing        : classpathx-jaf                                                                        14/92 
  Erasing        : ldapjdk                                                                               15/92 
  Erasing        : java-1.5.0-gcj                                                                        16/92 
  Erasing        : jakarta-commons-collections                                                           17/92 
  Erasing        : ganymed-ssh2                                                                          18/92 
  Erasing        : jdepend                                                                               19/92 
error: %postun(ganymed-ssh2-210-6.fc9.x86_64) scriptlet failed, exit status 255
  Erasing        : ant-junit                                                                             20/92 
  Erasing        : tomcat5-jasper-eclipse                                                                21/92 
/var/tmp/rpm-tmp.56877: line 1: /usr/bin/rebuild-gcj-db: No such file or directory
  Erasing        : regexp                                                                                22/92 
error: %postun(tomcat5-jasper-eclipse-5.5.27-0jpp.2.fc9.x86_64) scriptlet failed, exit status 127
  Erasing        : jzlib                                                                                 23/92 
  Erasing        : hsqldb                                                                                24/92 
  Erasing        : jsch                                                                                  25/92 
/var/tmp/rpm-tmp.97017: line 1: /usr/bin/rebuild-gcj-db: No such file or directory
  Erasing        : openoffice.org-graphicfilter                                                          26/92 
error: %postun(jsch-0.1.31-2jpp.3.fc9.x86_64) scriptlet failed, exit status 127
  Erasing        : java-1.5.0-gcj-javadoc                                                                27/92 
  Erasing        : jakarta-commons-pool                                                                  28/92 
  Erasing        : eclipse-platform                                                                      29/92 
  Erasing        : bcel                                                                                  30/92 
  Erasing        : openoffice.org-impress                                                                31/92 
  Erasing        : ant-apache-log4j                                                                      32/92 
  Erasing        : ant-apache-oro                                                                        33/92 
  Erasing        : openoffice.org-draw                                                                   34/92 
  Erasing        : classpathx-mail                                                                       35/92 
  Erasing        : xalan-j2                                                                              36/92 
  Erasing        : mx4j                                                                                  37/92 
  Erasing        : wsdl4j                                                                                38/92 
  Erasing        : fedora-ds                                                                             39/92 
  Erasing        : xml-commons-resolver                                                                  40/92 
  Erasing        : xml-commons-apis                                                                      41/92 
  Erasing        : eclipse-rcp                                                                           42/92 
  Erasing        : tomcat5-server-lib                                                                    43/92 
error: %postun(eclipse-rcp-3.3.2-12.fc9.x86_64) scriptlet failed, exit status 255
/var/tmp/rpm-tmp.77830: line 1: /usr/bin/rebuild-gcj-db: No such file or directory
  Erasing        : ant-apache-regexp                                                                     44/92 
error: %postun(tomcat5-server-lib-5.5.27-0jpp.2.fc9.x86_64) scriptlet failed, exit status 127
  Erasing        : tomcat5                                                                               45/92 
/var/tmp/rpm-tmp.11800: line 1: /usr/bin/rebuild-gcj-db: No such file or directory
  Erasing        : bsf                                                                                   46/92 
error: %postun(tomcat5-5.5.27-0jpp.2.fc9.x86_64) scriptlet failed, exit status 127
  Erasing        : jakarta-commons-modeler                                                               47/92 
  Erasing        : java_cup                                                                              48/92 
  Erasing        : lucene-contrib                                                                        49/92 
  Erasing        : eclipse-ecj                                                                           50/92 
  Erasing        : ant-swing                                                                             51/92 
error: %postun(eclipse-ecj-3.3.2-12.fc9.x86_64) scriptlet failed, exit status 255
  Erasing        : ant-commons-logging                                                                   52/92 
  Erasing        : ant-jsch                                                                              53/92 
  Erasing        : jakarta-commons-fileupload                                                            54/92 
  Erasing        : jakarta-commons-cli                                                                   55/92 
  Erasing        : jakarta-commons-logging                                                               56/92 
error: %postun(jakarta-commons-cli-1.0-7jpp_10.fc9.x86_64) scriptlet failed, exit status 255
  Erasing        : bsh                                                                                   57/92 
  Erasing        : openoffice.org-writer                                                                 58/92 
  Erasing        : jakarta-commons-launcher                                                              59/92 
  Erasing        : openoffice.org-writer2latex                                                           60/92 
  Erasing        : ant-nodeps                                                                            61/92 
  Erasing        : xerces-j2                                                                             62/92 
  Erasing        : eclipse-cvs-client                                                                    63/92 
  Erasing        : tomcat5-jsp-2.0-api                                                                   64/92 
/var/tmp/rpm-tmp.36813: line 5: /usr/bin/rebuild-gcj-db: No such file or directory
  Erasing        : jakarta-commons-httpclient                                                            65/92 
error: %postun(tomcat5-jsp-2.0-api-5.5.27-0jpp.2.fc9.x86_64) scriptlet failed, exit status 127
  Erasing        : ant-apache-resolver                                                                   66/92 
  Erasing        : idm-console-framework                                                                 67/92 
  Erasing        : svnkit                                                                                68/92 
  Erasing        : ant-javamail                                                                          69/92 
error: %postun(svnkit-1.1.4-3.fc9.x86_64) scriptlet failed, exit status 255
  Erasing        : tomcat5-common-lib                                                                    70/92 
/var/tmp/rpm-tmp.94901: line 1: /usr/bin/rebuild-gcj-db: No such file or directory
  Erasing        : openoffice.org-core                                                                   71/92 
error: %postun(tomcat5-common-lib-5.5.27-0jpp.2.fc9.x86_64) scriptlet failed, exit status 127
  Erasing        : java-1.6.0-openjdk                                                                    72/92 
  Erasing        : ant-apache-bcel                                                                       73/92 
  Erasing        : eclipse-jdt                                                                           74/92 
  Erasing        : java-1.6.0-openjdk-devel                                                              75/92 
error: %postun(eclipse-jdt-3.3.2-12.fc9.x86_64) scriptlet failed, exit status 255
  Erasing        : openoffice.org-calc                                                                   76/92 
  Erasing        : ant                                                                                   77/92 
  Erasing        : junit                                                                                 78/92 
  Erasing        : jakarta-commons-el                                                                    79/92 
  Erasing        : libswt3-gtk2                                                                          80/92 
  Erasing        : jss                                                                                   81/92 
error: %postun(libswt3-gtk2-3.3.2-12.fc9.x86_64) scriptlet failed, exit status 255
  Erasing        : gcc-java                                                                              82/92 
  Erasing        : jakarta-commons-daemon                                                                83/92 
  Erasing        : bootchart                                                                             84/92 
  Erasing        : jetty                                                                                 85/92 
  Erasing        : jakarta-commons-lang                                                                  86/92 
  Erasing        : jakarta-commons-collections-tomcat5                                                   87/92 
  Erasing        : ant-antlr                                                                             88/92 
  Erasing        : fedora-idm-console                                                                    89/92 
  Erasing        : jakarta-oro                                                                           90/92 
  Erasing        : jakarta-commons-dbcp-tomcat5                                                          91/92 
  Erasing        : tomcat5-servlet-2.4-api                                                               92/92 
/var/tmp/rpm-tmp.33142: line 5: /usr/bin/rebuild-gcj-db: No such file or directory

  java-1.5.0-gcj.x86_64 0:            java-1.6.0-openjdk.x86_64 1:           

Dependency Removed:
  ant.x86_64 0:1.7.0-1jpp.4.fc9                                                                                
  ant-antlr.x86_64 0:1.7.0-1jpp.4.fc9                                                                          
  ant-apache-bcel.x86_64 0:1.7.0-1jpp.4.fc9                                                                    
  ant-apache-log4j.x86_64 0:1.7.0-1jpp.4.fc9                                                                   
  ant-apache-oro.x86_64 0:1.7.0-1jpp.4.fc9                                                                     
  ant-apache-regexp.x86_64 0:1.7.0-1jpp.4.fc9                                                                  
  ant-apache-resolver.x86_64 0:1.7.0-1jpp.4.fc9                                                                
  ant-commons-logging.x86_64 0:1.7.0-1jpp.4.fc9                                                                
  ant-javamail.x86_64 0:1.7.0-1jpp.4.fc9                                                                       
  ant-jdepend.x86_64 0:1.7.0-1jpp.4.fc9                                                                        
  ant-jsch.x86_64 0:1.7.0-1jpp.4.fc9                                                                           
  ant-junit.x86_64 0:1.7.0-1jpp.4.fc9                                                                          
  ant-nodeps.x86_64 0:1.7.0-1jpp.4.fc9                                                                         
  ant-swing.x86_64 0:1.7.0-1jpp.4.fc9                                                                          
  ant-trax.x86_64 0:1.7.0-1jpp.4.fc9                                                                           
  antlr.x86_64 0:2.7.7-1jpp.7.fc9                                                                              
  axis.x86_64 0:1.2.1-3jpp.8.fc9                                                                               
  bcel.x86_64 0:5.2-4jpp.2.fc9                                                                                 
  bootchart.x86_64 0:0.9-9.fc9                                                                                 
  bsf.x86_64 0:2.3.0-12jpp.2.fc9                                                                               
  bsh.x86_64 0:1.3.0-12jpp.3.fc9                                                                               
  classpathx-jaf.x86_64 0:1.0-11jpp.1.fc9                                                                      
  classpathx-mail.x86_64 0:1.1.1-5jpp.3                                                                        
  eclipse-cvs-client.x86_64 1:3.3.2-12.fc9                                                                     
  eclipse-ecj.x86_64 1:3.3.2-12.fc9                                                                            
  eclipse-jdt.x86_64 1:3.3.2-12.fc9                                                                            
  eclipse-platform.x86_64 1:3.3.2-12.fc9                                                                       
  eclipse-rcp.x86_64 1:3.3.2-12.fc9                                                                            
  fedora-ds.x86_64 0:1.1.2-1.fc9                                                                               
  fedora-idm-console.x86_64 0:1.1.1-2.fc9                                                                      
  ganymed-ssh2.x86_64 0:210-6.fc9                                                                              
  gcc-java.x86_64 0:4.3.0-8                                                                                    
  hsqldb.x86_64 1:                                                                           
  idm-console-framework.noarch 0:1.1.2-1.fc9                                                                   
  jakarta-commons-beanutils.x86_64 0:1.7.0-6jpp.1                                                              
  jakarta-commons-cli.x86_64 0:1.0-7jpp_10.fc9                                                                 
  jakarta-commons-collections.x86_64 0:3.2-2jpp.2.fc9                                                          
  jakarta-commons-collections-tomcat5.x86_64 0:3.2-2jpp.2.fc9                                                  
  jakarta-commons-daemon.x86_64 1:1.0.1-6jpp.5.fc9                                                             
  jakarta-commons-dbcp.x86_64 0:1.2.1-11jpp.3.fc9                                                              
  jakarta-commons-dbcp-tomcat5.x86_64 0:1.2.1-11jpp.3.fc9                                                      
  jakarta-commons-digester.x86_64 0:1.7-7jpp.2                                                                 
  jakarta-commons-discovery.x86_64 1:0.4-3jpp.1.fc9                                                            
  jakarta-commons-el.x86_64 0:1.0-9jpp.2.fc9                                                                   
  jakarta-commons-fileupload.x86_64 1:1.0-7jpp.2.fc9                                                           
  jakarta-commons-httpclient.x86_64 1:3.1-0jpp.1.fc9                                                           
  jakarta-commons-lang.x86_64 0:2.3-2jpp.1.fc9                                                                 
  jakarta-commons-launcher.x86_64 0:1.1-2jpp.3.fc9                                                             
  jakarta-commons-logging.x86_64 0:1.0.4-7jpp.5.fc9                                                            
  jakarta-commons-modeler.x86_64 0:2.0-4jpp.2.fc9                                                              
  jakarta-commons-pool.x86_64 0:1.3-10jpp.3.fc9                                                                
  jakarta-oro.x86_64 0:2.0.8-4jpp.1                                                                            
  java-1.5.0-gcj-devel.x86_64 0:                                                                 
  java-1.5.0-gcj-javadoc.x86_64 0:                                                               
  java-1.6.0-openjdk-devel.x86_64 1:                                                       
  java_cup.x86_64 1:0.10-0.k.6jpp.2                                                                            
  jdepend.x86_64 0:2.6-7jpp.3                                                                                  
  jetty.x86_64 0:5.1.14-1jpp.2.fc9                                                                             
  jsch.x86_64 0:0.1.31-2jpp.3.fc9                                                                              
  jss.x86_64 0:4.2.5-2.fc9                                                                                     
  junit.x86_64 0:3.8.2-4jpp.3.fc9                                                                              
  jzlib.x86_64 0:1.0.7-5jpp.1                                                                                  
  ldapjdk.x86_64 0:4.18-1.fc9                                                                                  
  libswt3-gtk2.x86_64 1:3.3.2-12.fc9                                                                           
  log4j.x86_64 0:1.2.14-4jpp.1.fc9                                                                             
  lucene.x86_64 0:2.3.0-1jpp.0.fc9                                                                             
  lucene-contrib.x86_64 0:2.3.0-1jpp.0.fc9                                                                     
  mx4j.x86_64 1:3.0.1-6jpp.4                                                                                   
  openoffice.org-calc.x86_64 1:2.4.2-18.3.fc9                                                                  
  openoffice.org-core.x86_64 1:2.4.2-18.3.fc9                                                                  
  openoffice.org-draw.x86_64 1:2.4.2-18.3.fc9                                                                  
  openoffice.org-graphicfilter.x86_64 1:2.4.2-18.3.fc9                                                         
  openoffice.org-impress.x86_64 1:2.4.2-18.3.fc9                                                               
  openoffice.org-writer.x86_64 1:2.4.2-18.3.fc9                                                                
  openoffice.org-writer2latex.x86_64 0:0.5-2.fc9                                                               
  regexp.x86_64 0:1.5-2jpp.1.fc9                                                                               
  sinjdoc.x86_64 0:0.5-6.fc9                                                                                   
  svnkit.x86_64 0:1.1.4-3.fc9                                                                                  
  tomcat5.x86_64 0:5.5.27-0jpp.2.fc9                                                                           
  tomcat5-common-lib.x86_64 0:5.5.27-0jpp.2.fc9                                                                
  tomcat5-jasper.x86_64 0:5.5.27-0jpp.2.fc9                                                                    
  tomcat5-jasper-eclipse.x86_64 0:5.5.27-0jpp.2.fc9                                                            
  tomcat5-jsp-2.0-api.x86_64 0:5.5.27-0jpp.2.fc9                                                               
  tomcat5-server-lib.x86_64 0:5.5.27-0jpp.2.fc9                                                                
  tomcat5-servlet-2.4-api.x86_64 0:5.5.27-0jpp.2.fc9                                                           
  wsdl4j.x86_64 0:1.5.2-5jpp.2.fc9                                                                             
  xalan-j2.x86_64 0:2.7.0-7jpp.2.fc9                                                                           
  xerces-j2.x86_64 0:2.7.1-10jpp.1.fc9                                                                         
  xml-commons-apis.x86_64 0:1.3.04-1jpp.1.fc9                                                                  
  xml-commons-resolver.x86_64 0:1.1-1jpp.12                                                                    


Version-Release number of selected component (if applicable):
seems like java-1.5.0-gcj is being removed amongst first rpms, and later on capability it provides is required for subsequent functionalities by removing process

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jeff Johnson 2009-02-12 21:56:54 EST
The root cause is identical to:


i.e. lack of erasure ordering.
Comment 2 Bug Zapper 2009-06-09 23:33:20 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-07-14 12:38:53 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.